import { RecordModel } from "pocketbase"

import { managePbError } from "../../utils/pbTools"
import pbClient from "../pbClient"

const DB_NAME = "grpSumLog"

export interface GroupSummaryLog {
  chat: string
  content: string
  langfuseLink: string
}

export type GroupSummaryLogModel = GroupSummaryLog & RecordModel

/**
 * 创建群总结日志
 * @param log
 * @returns
 */
const create = async (log: GroupSummaryLog) =>
  managePbError<GroupSummaryLogModel>(() =>
    pbClient.collection(DB_NAME).create(log)
  )

const grpSumLog = {
  create,
}

export default grpSumLog
